Announcement

Collapse
No announcement yet.

Page loads with errors (new vB 3.5.0 GOLD install)

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Page loads with errors (new vB 3.5.0 GOLD install)

    I upgraded to 3.5.0 yesterday and so far no major issues. I am experiencing a problem with *Some* forums not being searchable (the forum tools and forum search boxes do not work). IE6 reports that the page "loads with errors".

    The detail on the error message is:

    Line: 1520
    Char: 4
    Error: 'null' is null or not an object
    Code: 0
    URL: http://www.myforum.com/forumdisplay.php?t=4
    This error does not occur on all forums (I have 18). It does not seem to be tied to the size of the forum in either post count or number of threads.

    Any help would be appreciated.

  • #2
    Sorry, I forgot to add that I'm running Win Server 2003 SP1, PHP 4.3.10, and I just upgraded from 3.0.8.

    The upgrade script for 3.5.0 ran without errors, but I did notice it did leave a lot of old 3.0.x files in a few directories. I removed all of the old files but still get the error.

    I have not tried other browsers but I will download and install FireFox next.

    UPDATE: No error message appears in Firefox, but the result is the same, the forum tools and forum search functions do not work.
    Last edited by Caravan; Mon 24 Oct '05, 1:46pm.

    Comment


    • #3
      To troubleshoot this, the first thing you need to do is remove any hacks or plugins, then see if you still have this problem.

      If so, reupload all the original vB non-image files (except install.php). Make sure you upload these in ASCII format and overwrite the ones on the server.

      Next, create a new style and choose no parent style. This will force it to use the default templates. Finally empty your browser cache, close all browser windows then try again. Make sure you change to the new style and view your forums with it. Do you have the same problem?
      Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
      Change CKEditor Colors to Match Style (for 4.1.4 and above)

      Steve Machol Photography


      Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


      Comment


      • #4
        Regarding the .js error, I experienced something similar, with a fix here: http://www.vbulletin.com/forum/bugs3...iew&bugid=1594

        Regarding the search box not working, one possibility: http://www.vbulletin.com/forum/bugs3...iew&bugid=1643
        - JavaScript Kit | CSS Drive | CodingForums.com | CodeTricks.com

        Comment


        • #5
          Steve, you are a genius.

          I didn't have to re-upload the files, but after reverting the templetes to "stock" 3.5.0 versions the errors stopped. The only hack I had in there was the old FlashChat hack. Darren Gates has a new version that supports 3.5.0.

          Problem solved.

          Yet another reason that vBulletin rocks!!

          Comment


          • #6
            You're welcome.
            Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
            Change CKEditor Colors to Match Style (for 4.1.4 and above)

            Steve Machol Photography


            Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


            Comment


            • #7
              I had the same error, and reverted the NAVBAR template and it fixed the Line 1520 error.

              Comment

              widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
              Working...
              X